# JSON-Sockets

A simple socket library for node.js that allows you to create JSON clients and servers.  
It's easy to use:

```js
var sockets = require('json-sockets'); 

// lets create a socket server
sockets.createServer(function(socket) {
	socket.on('message', function(message) {
		socket.send(message); // let's just echo messages
	});
}).listen(); // defaults to port 10547

var client = sockets.connect(); // defaults to localhost:10547

client.send({hello:'world'});

client.on('message', function(message) {
	console.log(message);
});
```
